/*!
 * wbm-firewall@1.2.3
 * 
 *   Copyright © 2020 WAGO Kontakttechnik GmbH & Co. KG
 * 
 *   License: 
 *     WAGO Software License Agreement
 * 
 *   Contributors:
 *     
 * 
 *   Description:
 *     Firewall Settings
 * 
 *   
 */
this["/firewall-ebtables"]=function(e){var r={};function t(a){if(r[a])return r[a].exports;var i=r[a]={i:a,l:!1,exports:{}};return e[a].call(i.exports,i,i.exports,t),i.l=!0,i.exports}return t.m=e,t.c=r,t.d=function(e,r,a){t.o(e,r)||Object.defineProperty(e,r,{enumerable:!0,get:a})},t.r=function(e){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},t.t=function(e,r){if(1&r&&(e=t(e)),8&r)return e;if(4&r&&"object"==typeof e&&e&&e.__esModule)return e;var a=Object.create(null);if(t.r(a),Object.defineProperty(a,"default",{enumerable:!0,value:e}),2&r&&"string"!=typeof e)for(var i in e)t.d(a,i,function(r){return e[r]}.bind(null,i));return a},t.n=function(e){var r=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(r,"a",r),r},t.o=function(e,r){return Object.prototype.hasOwnProperty.call(e,r)},t.p="",t(t.s=2)}([function(e,r,t){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.createBridgeLabel=function(e,r){void 0===r&&(r=null);var t,n=a.exec(e);if(n){var l=n[1].toLowerCase(),s=n[2];if(l in i){var f=s?" "+(parseInt(s)+1):"";return""+i[l]+f}}return""+(r?r+" ":"")+((t=e).charAt(0).toUpperCase()+t.slice(1))};var a=/^([a-zA-Z]+)([0-9]*)$/,i={br:"Bridge",wan:"WAN",vpn:"VPN"};r.isLegacyInterfaceName=function(e){return["X1","X2"].indexOf(e)>=0}},function(e,r,t){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.sortInterfaces=function(e){return e.sort((function(e,r){return e.interface.localeCompare(r.interface,void 0,{numeric:!0,sensitivity:"base"})}))}},function(e,r,t){"use strict";var a=this&&this.__assign||Object.assign||function(e){for(var r,t=1,a=arguments.length;t<a;t++)for(var i in r=arguments[t])Object.prototype.hasOwnProperty.call(r,i)&&(e[i]=r[i]);return e};Object.defineProperty(r,"__esModule",{value:!0});var i=t(0),n=t(1);r.default=function(e){if(e instanceof Error)return{"firewall.macaddressfilter.enabled":e,"firewall.macaddressfilter.interfaces.*.label":e,"firewall.macaddressfilter.interfaces.*.name":e,"firewall.macaddressfilter.interfaces.*.enabled":e,"firewall.macaddressfilter.whitelist.*.enabled":e,"firewall.macaddressfilter.whitelist.*.address":e,"firewall.macaddressfilter.whitelist.*.mask":e};var r=e,t=$.parseXML(r);return a({},function(e){var r=e.querySelector("firewall > ethernet"),t=r&&r.getAttribute("mode"),a=r&&r.querySelectorAll("interfaces > interface"),l={"firewall.macaddressfilter.enabled":t||new Error("mac address filter state value was not found in xml")},s=[];if(a)for(var f=0;f<a.length;f++){var c=a.item(f),d=c.getAttribute("if"),o=c.getAttribute("state");d&&s.push({interface:d,state:o||""})}return s=s.filter((function(e){return!i.isLegacyInterfaceName(e.interface)})),(s=n.sortInterfaces(s)).forEach((function(e,r){l["firewall.macaddressfilter.interfaces."+r+".label"]=i.createBridgeLabel(e.interface,"Interface"),l["firewall.macaddressfilter.interfaces."+r+".name"]=e.interface,l["firewall.macaddressfilter.interfaces."+r+".enabled"]=e.state})),l}(t),function(e){var r=e.querySelectorAll("firewall > ethernet > whitelist > host"),t={};if(r)for(var a=0;a<r.length;a++){var i=r.item(a),n=i.getAttribute("mac"),l=i.getAttribute("mask"),s=i.getAttribute("state");t["firewall.macaddressfilter.whitelist."+a+".index"]=""+(a+1),t["firewall.macaddressfilter.whitelist."+a+".enabled"]=s,t["firewall.macaddressfilter.whitelist."+a+".address"]=n,t["firewall.macaddressfilter.whitelist."+a+".mask"]=l}else t["firewall.macaddressfilter.whitelist.*.index"]=new Error("mac address filter state value was not found in xml"),t["firewall.macaddressfilter.whitelist.*.enabled"]=new Error("mac address filter state value was not found in xml"),t["firewall.macaddressfilter.whitelist.*.address"]=new Error("mac address filter state value was not found in xml"),t["firewall.macaddressfilter.whitelist.*.mask"]=new Error("mac address filter state value was not found in xml");return t}(t))}}]).default;
//# sourceMappingURL=firewall-ebtables.js.map